## irtspparse irtspparse — Interleaved RTSP parser |

## Properties

gint | channel-id | Read / Write

## Types and Values

struct | GstIRTSPParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstIRTSPParse

## Description

This is an interleaved RTSP parser that allows extracting specific so-called "channels" from received interleaved (TCP) RTSP data (typically extracted from some network capture).

#### Example launch line

    1
    2
    gst-launch-1.0 filesrc location=h264crasher.pcap ! pcapparse ! irtspparse
    ! rtph264depay ! ffdec_h264 ! fakesink

Read from a pcap dump file using filesrc, extract the raw TCP packets, depayload and decode them.

## Synopsis

### Element Information

plugin | pcapparse
author | Mark Nauwelaerts <mark.nauwelaerts@collabora.co.uk>
class | Raw/Parser

### Element Pads

name | sink
direction | sink
presence | always
details | ANY

name | src
direction | source
presence | always
details | application/x-rtp
| application/x-rtcp

## Functions

## Types and Values

### struct GstIRTSPParse

    struct GstIRTSPParse;

The opaque GstIRTSPParse object

## Property Details

### The `“channel-id”` property

      “channel-id”               gint

Channel Identifier.

Flags: Read / Write

Allowed values: [0,255]

Default value: 0

## See Also

GstPcapParse